package dao

import (
	"fmt"
	"github.com/jinzhu/gorm"
)

var Db *gorm.DB

func InitDB(db *gorm.DB) {
	Db = db
	err := Db.AutoMigrate(
		&User{},
		&Tenant{},
		&Role{},
		&RoleMenu{},
		&Menu{},
	).Error
	if err != nil {
		panic(fmt.Sprintf("AutoMigrate err : %v", err))
	}
}
